
using System;
using Gtk;
using Foodolini.BusinessLogic;

namespace Foodolini.Activities.Cookbook
{
	[TreeNode(ListOnly = true)]
	public class IngredientAdapter : TreeNode
	{
		
		public IngredientAdapter (Ingredient ingredient, double quantity)
		{
			this.Ingredient = ingredient;
			this.Quantity = quantity;
		}

		/// <value>
		/// Getter for the name of the ingredient
		/// </value>
		[Gtk.TreeNodeValue(Column = 0)]
		public string Name {
			get { return this.Ingredient.LongDescription; }
		}

		/// <value>
		/// Getter and setter for the amount of the ingredient
		/// </value>
		[Gtk.TreeNodeValue(Column = 1)]
		public double Quantity {get; set;}
		
		/// <value>
		/// Getter and setter for the type of storage
		/// </value>
		[Gtk.TreeNodeValue(Column = 2)]
		public string Storage {get; set;}
		
		[Gtk.TreeNodeValue(Column = 3)]
		public string Expiration {get; set;}
		
		/// <value>
		/// Getter og private setter for the ingredient 
		/// </value>
		public Ingredient Ingredient { get; private set; }
	}
}
