using System;
using Gdk;
using System.Reflection;

namespace Foodolini.Activities{

	[AttributeUsageAttribute(AttributeTargets.Class, Inherited = false)]
	public class FoodoliniActivityAttribute : System.Attribute{
		private string name;
		private bool subActivity;
		private string icon;
		
		public FoodoliniActivityAttribute(string name){
			this.name = name;
			this.subActivity = false;
		}
		public FoodoliniActivityAttribute(string name, bool subActivity){
			this.name = name;
			this.subActivity = subActivity;
		}
		public FoodoliniActivityAttribute(string name, bool subActivity, string icon){
			this.name = name;
			this.subActivity = subActivity;
			this.icon = icon;
		}
		public string Name{
			get{ return this.name; }
		}
		public bool IsSubActivity{
			get{
				return this.subActivity;
			}
		}
		public Pixbuf GetIcon(Assembly assembly){
			if(this.icon == null)
				return null;
			return new Pixbuf(assembly, this.icon);
		}
	}
}
