using Gtk;
using System;
using Foodolini.BusinessLogic;

/// <summary>
/// Activities component, defines plug-in interface
/// </summary>
namespace Foodolini.Activities
{
	/// <summary>
	/// An interface for all activities
	/// </summary>
	public interface IActivity
	{
		/// <summary>
		/// Subscribe to the events exposed by owner, and store a reference to owner
		/// </summary>
		/// <param name="owner">
		/// Instance of an implementation of IOwner
		/// </param>
		void Register(IOwner owner);
		
		/// <summary>
		/// Unsubscribe to the events exposed by owner, and loose any references to owner
		/// </summary>
		void Unregister();
		
		Widget Widget{get;}
	}
}
