
using System;
using Foodolini.BusinessLogic;
using Gtk;
using Foodolini.Activities;

namespace Foodolini.Activities.Inventory
{
	[TreeNode(ListOnly = true)]
	public class FoodItemAdapter : TreeNode
	{
		public FoodItem FoodItem { get; private set; }

		public FoodItemAdapter (FoodItem foodItem)
		{
			this.FoodItem = foodItem;
		}

		[Gtk.TreeNodeValue(Column = 0)]
		public string Name {
			get { return this.FoodItem.Ingredient.LongDescription; }
		}

		[Gtk.TreeNodeValue(Column = 1)]
		public string Quantity {
			get { return this.FoodItem.Quantity.ToString("0.00"); }
		}
		
		[Gtk.TreeNodeValue(Column = 2)]
		public DateTime ExpirationDate {
			get { return this.FoodItem.ExpirationDate; }
		}
		
		[Gtk.TreeNodeValue(Column = 3)]
		public string IsOpen
		{
			get {
				if (this.FoodItem.IsOpen)
					return "Open";
				else
					return "Closed";
			}
			
		}
	}
}
