
using System;
using Foodolini.Activities;
using Foodolini.BusinessLogic;
using Gtk;

namespace Foodolini.Activities.Person
{
	[System.ComponentModel.ToolboxItem(true)]
	public partial class PersonEditorDialog : Gtk.Dialog
	{
		private Foodolini.BusinessLogic.Person currentUser;
		
		public PersonEditorDialog()
		{
			this.Build();
		
		}
				
		/// <summary>
		///  Todo: documentation
		/// </summary>
		public void SetDetails(Foodolini.BusinessLogic.Person currentUser){
			
			this.currentUser = currentUser;
			lbUserProfile.Markup = "<b><big>" + currentUser.FullName + "</big></b>";
			entry1FullName.Text = currentUser.FullName;
			entry2UserName.Text = currentUser.UserName;
			calendarDateOfBirth.Date = currentUser.BirthDate;
			spWeight.Value = currentUser.Weight;
			spHeight.Value = currentUser.Height;
			comboboxGender.Active = (int)currentUser.Gender;

			}
		

		/// <summary>
		/// Validates if changes has been made to the user profile
		/// </summary>

		protected virtual void ValidateEntries (object sender, System.EventArgs e){
			
			if(entry1FullName.Text != "" | entry2UserName.Text != "" | spHeight.Value != 0 | spWeight.Value != 0 ){
				btOk.Sensitive = true;
			}
			else{
				btCancel.Sensitive = false;
			}
		}

		protected virtual void btOkOnClicked (object sender, System.EventArgs e)
		{
			
			currentUser.FullName = entry1FullName.Text;
			currentUser.UserName = entry2UserName.Text;
			currentUser.BirthDate = calendarDateOfBirth.Date;
			currentUser.Gender = (Gender)comboboxGender.Active;
			currentUser.Height = spHeight.Value;
			currentUser.Weight = spWeight.Value;
			currentUser.Save();

		}

		protected virtual void CancelOnClick (object sender, System.EventArgs e)
		{
		}
	}
}
