
using System;
using Foodolini.BusinessLogic;
using Gtk;
using Foodolini.Activities;

namespace Foodolini.Activities.RegisterExercise
{
	
	
	public partial class CreateSportsActivityDialog : Gtk.Dialog
	{
		public SportsActivity sport;

		/// <summary>
		/// Constructor for editing a SportsActivity
		/// </summary>
		/// <param name="sport">
		/// A <see cref="SportsActivity"/> to be edited
		/// </param>
		public CreateSportsActivityDialog(SportsActivity sport)
		{
			this.Build();
			this.sport = sport;
			
			this.entName.Text = sport.Name;
			this.spbtMET.Value = sport.METS;
			this.Title = "Edit Sports Activity";
		}
		
		/// <summary>
		/// Constructor for creating the dialoge as a creater
		/// </summary>
		public CreateSportsActivityDialog()
		{
			this.Build();
			this.Title = "Create Sports Activity";
			
		}

		/// <value>
		///Getter for the name of the new SportsActivity 
		/// </value>
		public string SportsActivityName {
			get{
				return this.entName.Text;
			}
		}
		
		/// <value>
		/// Getter for the METS of the new SportsActivity
		/// </value>
		public double SportsActivityMet {
			get {
				return this.spbtMET.Value;
			}
		}

	}
}
