
using System;
using Gtk;
using Foodolini.Activities;
using Foodolini.BusinessLogic;

namespace Foodolini.Activities
{
	
	[TreeNode (ListOnly = true)]
	public class ExerciseAdapter : TreeNode
	{
		
		public ExerciseAdapter(Exercise exercise)
		{
			this.Exercise = exercise;
		}
		
		[Gtk.TreeNodeValueAttribute(Column=0)]
		public string SportsActivityName {
			get{ return this.Exercise.Activity.Name;}
		}
		
		[Gtk.TreeNodeValueAttribute(Column=1)]
		public TimeSpan Duration {
			get {
				return this.Exercise.Duration;
			}
		}
		
		[Gtk.TreeNodeValueAttribute(Column=2)]
		public DateTime PerformedDate {
			get {
				return this.Exercise.PerformedDate;
			}
		}
		
		public Exercise Exercise {get; private set;}
	}
}
