using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;


namespace Foodolini.Database
{
    /// <summary>
    /// Describes a certain food/ingredient.
    /// </summary>
    public class FoodDescription
    {
        /// <summary>
        /// Primary key.
        /// </summary>
        public long FoodDescriptionId { get; set; }

        /// <summary>
        /// The associated food category.
        /// </summary>
        public long? FoodGroupId { get; set; }

        /// <summary>
        /// Full name of the food.
        /// </summary>
        public string LongDescription { get; set; }

        /// <summary>
        /// Abbreviated name of the food.
        /// </summary>
        public string ShortDescription { get; set; }

        /// <summary>
        /// Commercial name of the food.
        /// </summary>
        public string CommercialName { get; set; }

        /// <summary>
        /// Manufacturer of the food.
        /// </summary>
        public string Manufacturer { get; set; }

        /// <summary>
        /// Amount of time before expiration without opening.
        /// </summary>
        public long? ShelfLife { get; set; }

        /// <summary>
        /// Amount of time before this food expires after opening.
        /// </summary>
        public long? ExpirationAfterOpening { get; set; }

        public double? Protein { get; set; }
        public double? Carbohydrates { get; set; }
        public double? Fat { get; set; }

    }
}
