using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Foodolini.Database
{
    /// <summary>
    /// Food in the inventory.
    /// </summary>
    public class FoodItemRow
    {
        /// <summary>
        /// Primary key.
        /// </summary>
        public long FoodItemRowId { get; set; }

        /// <summary>
        /// Identifies the associated FoodDescription. 
        /// </summary>
        public long FoodDescriptionId { get; set; }

        /// <summary>
        /// Defines the multiplier of the given FoodDescription.
        /// </summary>
        public double Quantity { get; set; }

        /// <summary>
        /// Date when this food item expires.
        /// </summary>
        public DateTime ExpirationDate { get; set; }

        /// <summary>
        /// When the food item was consumed.
        /// </summary>
        public DateTime? ConsumedDate { get; set; }

        /// <summary>
        /// Identifies the user, who consumed the food item.
        /// </summary>
        public long? ConsumedBy { get; set; }

        /// <summary>
        /// Flags whether the FoodItem has been opened.
        /// </summary>
        public bool IsOpen { get; set; }

        public DateTime RegisteredDate { get; set; }
    }
}
