using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Foodolini.Database
{
    /// <summary>
    /// Defines types of nutrients.
    /// </summary>
    public class NutritionDefinition
    {
        /// <summary>
        /// Primary key.
        /// </summary>
        public long NutritionDefinitionId { get; set; }

        /// <summary>
        /// Describes the measuring unit of the nutrient. 
        /// </summary>
        public string Unit { get; set; }

        /// <summary>
        /// Abbreviated name of the nutrient.
        /// </summary>
        public string TagName { get; set; }

        /// <summary>
        /// Full name of the nutrient.
        /// </summary>
        public string Description { get; set; }

        /// <summary>
        /// Sort order for listing data.
        /// </summary>
        public int SortOrder { get; set; }
    }
}
