using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Foodolini.Database
{
    /// <summary>
    /// A many-to-many mapping between Recipe and FoodDescription.
    /// </summary>
    public class RecipeFoodMapping
    {
        /// <summary>
        /// Primary key.
        /// </summary>
        public long RecipeFoodMappingId { get; set; }

        /// <summary>
        /// The associated Recipe PK.
        /// </summary>
        public long RecipeId { get; set; }

        /// <summary>
        /// The associated FoodDescription PK.
        /// </summary>
        public long FoodDescriptionId { get; set; }
		
		/// <summary>
		/// Amount of the ingredient in grams 
		/// </summary>
		public double Quantity{ get; set; }
    }
}
