using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace Foodolini.Database
{
    /// <summary>
    /// A recipe.
    /// </summary>
    public class RecipeRow
    {
        /// <summary>
        /// Primary key.
        /// </summary>
        public long RecipeRowId { get; set; }

        public string Title { get; set; }

        /// <summary>
        /// Average aggregated rating of the recipe.
        /// </summary>
        public double? AverageRating { get; set; }

        /// <summary>
        /// Difficulty of the recipe.
        /// </summary>
        public int Difficulty { get; set; }

        /// <summary>
        /// Preparation time in ticks.
        /// </summary>
        public long? PreparationTime { get; set; }

        /// <summary>
        /// PK of the Picture of the recipe.
        /// </summary>
        public long? PictureId { get; set; }
		
		/// <summary>
		/// Number of servings in the recipe.
		/// </summary>
		public double Servings { get; set; }
    }
}
