using System;
using Gtk;

/*! \mainpage Foodolini Documentation 1.0.0
 * 
 * \section Introduction
 * Foodolini is a system for managing food items on storage, preparing shopping lists, keeping track of exercises, managing
 * recipes and lots of other things. In Foodolini a bar code is linked to an ingredient and an ingredient describes the 
 * nutritional content of a food item. Foodolini comes with a database of over 7.000 ingredients provided by the USDA Nutrient
 * Data Laboratory, this is known as the USDA National Nutrient Database for Standard Reference.
 *
 * \section runfoodolini Running Foodolini
 * This documentation should be accompanied with Foodolini binaries for both Windows x86 and Linux x86, for other 
 * architectures recompilation of libzbar might be necessary. ZBar source and binaries can be obtained from 
 * http://zbar.sourceforge.net/, however, ZBar (0.10) binaries for x86 is shipped with Foodolini.
 * 
 * \subsection Linux
 * To run Foodolini on Linux you'll need mono (>= 2.4), gtk-sharp (>= 2.12), glib-sharp (>= 2.12) and ndesk-dbus (>= 1.0).
 * It is also recommended that you have HAL running, as this will allow Foodolini to detect webcams as they become available.
 * Navigate to binaries and run them using $ mono Foodolini.Main.exe
 * Note that if you not on x86 you'll need to provide and binary libzbar.so for ZBar (>= 0.9). 
 *
 * \subsection Windows
 * To run Foodolini on Windows you need mono (>= 2.4) which ships with gtk dependencies or gtk-sharp for .Net (>= 2.12).
 * If you plan on using anything but x86 you'll need to provide a binary libzbar.dll for libzbar (>= 0.9), if copied from
 * zbar binaries you'll need to rename it. You might also need to provide another version of System.Data.Sqlite.dll,
 * available from http://sqlite.phxsoftware.com/.
 *
 * \subsection building Building from source
 * Foodolini can be build using MonoDevelop and Visual Studio, however, if regeneration of UI-files is desired
 * Foodolini must be build using MonoDevelop (>= 2.0). Under Linux it may be necessary to #define MONO, whist on
 * Windows this shouldn't be defined. This is specific for the Foodolini.Database project, which needs to use
 * Mono.Data.Sqlite on Linux and System.Data.SQLite on Windows. 
 */

/// <summary>
/// Main component, e.g. MainWindow
/// </summary>
namespace Foodolini.Main
{
	/// <summary>
	/// MainClass with application entry point
	/// </summary>
	class MainClass
	{
		/// <summary>
		/// Application entry point
		/// </summary>
		public static void Main (string[] args)
		{
			Application.Init ();
			MainWindow win = new MainWindow ();
			win.Show ();
			Application.Run ();
		}
	}
}
