
using System;
using NUnit.Framework;
using Foodolini.Database;

namespace Foodolini.Database.Test
{

	/// <summary>
	/// Unit test to the Database layer of ExerciseRow
	/// </summary>
	[TestFixture]
	public class ExerciseRowTest: DatabaseTest
	{
		/// <summary>
		/// Saves an Exercise to the database and test if the object recives an ID. 
		///	Load the Exercise from the database and test if the data match
		/// </summary>
		[Test]
		public void SaveLoadTest ()
		{
			ExerciseRow exercise = new ExerciseRow();
			exercise.Duration = 200;
			//exercise.PerformedDate = new DateTime(2009, 12, 4);
			exercise.SportsActivityId = 2;
			exercise.UserId = 1;
			
			this.repository.Add<ExerciseRow>(exercise);
			
			Assert.AreNotEqual(0, exercise.ExerciseRowId, "ExerciseRowId is 0");
			
			ExerciseRow e = this.repository.SingleWhere<ExerciseRow>("ExerciseRowID = @0", exercise.ExerciseRowId);
			
			Assert.AreEqual(200, e.Duration);
			//Assert.AreEqual(2009, e.PerformedDate.Year);
			//Assert.AreEqual(12, e.PerformedDate.Month);
			Assert.AreEqual(2, e.SportsActivityId);
			Assert.AreEqual(1, e.UserId);
		}
	}
}
