
using System;
using NUnit.Framework;
using Foodolini.Database;

namespace Foodolini.Database.Test
{
	/// <summary>
	/// Unit test to the Database layer of FoodGroup
	/// </summary>
	[TestFixture]
	public class FoodGroupTest : DatabaseTest
	{

		/// <summary>
		/// Saves a FoodGroup to the database and test if the object recives an ID. 
		///	Load the FoodGroup from the database and test if the data match
		/// </summary>
		[Test]
		public void SaveLoad()
		{
			FoodGroup foodGroup = new FoodGroup();
			foodGroup.FoodGroupId = 1;
			foodGroup.Description= "Morgenmad";
			
						
			//Assert.Fail();
			
			this.repository.Add<FoodGroup>(foodGroup);
			
			Assert.AreNotEqual(0, foodGroup.FoodGroupId, "Test that a foodgroup has been given a database ID");
			
			Assert.AreSame("Morgenmad", foodGroup.Description, "Test that the description of the added foodgroup match.");
			
			Assert.AreEqual(1, foodGroup.FoodGroupId, "Test that the ID of the foodGroup match");
			
				
		}
	}
}
