
using System;
using NUnit.Framework;
using Foodolini.Database;

namespace Foodolini.Database.Test
{
	/// <summary>
	/// Unit test to the Database layer of Rating
	/// </summary>
	[TestFixture]
	public class RatingTest : DatabaseTest
	{
		
		/// <summary>
		/// Saves a Rating to the database and test if the object recives an ID. 
		///	Load the Rating from the database and test if the data match
		/// </summary>
		[Test]
		public void SaveLoadTest ()
		{
			Rating rating = new Rating();
			rating.Score = 3;
			rating.RecipeId = 5;
			rating.UserId = 22;
			
			//Assert.Fail();
			//Assert.AreEqual(); 
			
			this.repository.Add<Rating>(rating);
			
			Assert.AreNotEqual(0, rating.RatingId, "Test that rating has been given a database ID");
			
			Rating r = this.repository.SingleWhere<Rating>("RatingId = @0 ", rating.RatingId);
			
			Assert.AreEqual(3, r.Score, "Test that data match");
			Assert.AreEqual(5, r.RecipeId, "Test that data match");
			Assert.AreEqual(22, r.UserId, "Test that data match");
			
		}
	}
}
