
using System;
using NUnit.Framework;
using Foodolini.Database;

namespace Foodolini.Database.Test
{

	/// <summary>
	/// Unit test to the Database layer of RecipeRow
	/// </summary>
	[TestFixture]
	public class RecipeRowTest : DatabaseTest
	{
		/// <summary>
		/// Saves a RecipeRow to the database and test if the object recives an ID. 
		///	Load the RecipeRow from the database and test if the data match
		/// </summary>
		[Test]
		public void SaveLoadTest ()
		{
			RecipeRow recipe = new RecipeRow();
			recipe.AverageRating = 9.8;
			recipe.Difficulty = 1;
			recipe.PictureId = null;
			recipe.PreparationTime = 30;
			recipe.Servings = 60.0;
			recipe.Title = "Sloppy Joe";
			
			this.repository.Add<RecipeRow>(recipe);
			
			Assert.AreNotEqual(0, recipe.RecipeRowId, "RecipeRowId is 0");
			
			RecipeRow r = this.repository.SingleWhere<RecipeRow>("RecipeRowId = @0", recipe.RecipeRowId);
			
			Assert.AreEqual(9.8, r.AverageRating);
			Assert.AreEqual(1, r.Difficulty);
			Assert.AreEqual(null, r.PictureId);
			Assert.AreEqual(30, r.PreparationTime);
			Assert.AreNotEqual(null, r.PreparationTime, "PreperationTime is null!");
			Assert.AreEqual(60.0, r.Servings);
			Assert.AreEqual("Sloppy Joe", r.Title);
		}
	}
}
