
using System;
using Foodolini.Activities;

namespace Foodolini.Activities.Cookbook
{
	
	/// <summary>
	/// Dialog used to get a confirmation from the user. The title and content can be set through the constructor.
	/// </summary>
	public partial class ConfirmDialog : Gtk.Dialog
	{
		/// <summary>
		/// Sets the title , and the content of the dialog.
		/// </summary>
		/// <param name="title">
		/// A <see cref="System.String"/>
		/// </param>
		/// <param name="content">
		/// A <see cref="System.String"/>
		/// </param>
		public ConfirmDialog(string title, string content)
		{
			this.Build();
			Content = content;
			DialogTitle = title;
		}
		
		private string Content {
			get {return lbContent1.Text;}
			set{lbContent1.Text = value;}
		}
		
		private string DialogTitle{
			set{this.Title  = value;}
		}
	}
}
