
using System;
using Gtk;
using Foodolini.BusinessLogic;

namespace Foodolini.Activities.FoodRegistration
{
	/// <summary>
	/// Adapter to view FoodItems in a Gtk.NodeView
	/// </summary>
	[TreeNode(ListOnly = true)]
	public class FoodItemAdapter : TreeNode
	{
		public FoodItem FoodItem { get; private set; }

		public FoodItemAdapter (FoodItem foodItem){
			this.FoodItem = foodItem;
		}

		[Gtk.TreeNodeValue(Column = 0)]
		public string Name {
			get { 
				return this.FoodItem.Ingredient.LongDescription;
			}
		}

		[Gtk.TreeNodeValue(Column = 1)]
		public double Quantity {
            get { return this.FoodItem.Quantity; }
		}
		
		[Gtk.TreeNodeValue(Column = 2)]
		public DateTime ExpirationDate {
            get { return this.FoodItem.ExpirationDate ; }
		}
		
		/// <summary>
		/// Reports a change to the treeview
		/// </summary>
		public void ReportChange(){
			this.OnChanged();
		}
	}
}