
using System;
using Foodolini.BusinessLogic;
using Gtk;

namespace Foodolini.Activities.Ingredients
{
	public partial class IngredientSelector : Gtk.Dialog
	{

		public Ingredient SelectedIngredient {
			get { return this.ingredientsactivity.SelectedIngredient; }
		}

		public double Quantity {
			get { return this.sbQuantity.Value; }
			set {this.sbQuantity.Value = value;}
		}

		public IngredientSelector() : this(null,false){}
		
		/// <summary>
		/// Instantiates an IngredientSelector with a default selected Ingredient,
		/// without the quantity selector.
		/// </summary>
		/// <param name="defaultSelection">
		/// A <see cref="Ingredient"/>
		/// </param>
		public IngredientSelector(Ingredient defaultSelection) : this(defaultSelection,false) {}

		public IngredientSelector(bool showQuantity):this(null,showQuantity){}
		
		public IngredientSelector (Ingredient defaultSelection, bool showQuantity)
		{
			this.Build ();
			this.Title = "Select ingredient";
            this.sbQuantity.Value = 100;
			this.hbox.Visible=showQuantity;
			
			if(defaultSelection != null){
				this.ingredientsactivity.SelectIngredient(defaultSelection);
				this.buttonOk.Sensitive = true;
			}
			
			this.ingredientsactivity.OnIngredientSelectionChanged += delegate(object sender, EventArgs e) {
				if(SelectedIngredient!=null)
					this.buttonOk.Sensitive = true;
				else
					this.buttonOk.Sensitive=false;
			};
			
		}
	}
}
