using System;
using Foodolini.BusinessLogic;
using Gtk;

namespace Foodolini.Activities.Ingredients
{
	[TreeNode(ListOnly = true)]
	public class NutrientAdapter : TreeNode
	{
		public Nutrient Nutrient {get; private set;}
		private double nutrientValue;
		
		public NutrientAdapter(Nutrient nutrient, double nutrientValue)
		{
			this.Nutrient = nutrient;
			this.nutrientValue = nutrientValue;
		}
		
		[Gtk.TreeNodeValue(Column = 0)]
		public string Name{
			get {return this.Nutrient.Description;}
		}
		
		[Gtk.TreeNodeValue(Column = 1)]
		public double Value{
			get {return this.nutrientValue;}
            set { this.nutrientValue = value;}
		}

        [Gtk.TreeNodeValue(Column=2)]
        public string Unit
        {
            get { return this.Nutrient.Unit; }
        }
	}
}
