
using System;
using Gtk;
using Foodolini.BusinessLogic;
using Foodolini.Activities;

namespace Foodolini.Activities.Inventory
{
	
	/// <summary>
	/// Dialog were the user can select the quantity of food to consume
	/// </summary>
	[FoodoliniActivity("ConsumeFoodItem",true)]
	[System.ComponentModel.ToolboxItem(true)]
	public partial class ConsumeFoodItem : Gtk.Dialog
	{
		
		/// <summary>
		/// display the selected person and sets the quantity of the spinbutton
		/// </summary>
		/// <param name="foodItem">
		/// A <see cref="FoodItem"/> to be consumed
		/// </param>
		/// <param name="person">
		/// A <see cref="Person"/> to consume the FoodItem
		/// </param>
		public ConsumeFoodItem(FoodItem foodItem,Person person)
		{
			this.Build();
			if (person != null){
				lbUser.Markup  = "\t<b>" + person.FullName + "</b>";
			}else{
				lbUser.Markup  = "\t<b>Anomymos</b>";
			}
			if (foodItem.Quantity < 50)
				spingram.Value = foodItem.Quantity;
			else
				spingram.Value = 50;
			spingram.Adjustment = new Adjustment(0, 1,foodItem.Quantity,50,50,50); 
		
		}
		/// <value>
		/// returns the quantity of the spinbutton
		/// </value>
		public double Quantity{
			get 
			{
				return this.spingram.Value; 
			}
		}
	}
}
