using System;
using Gtk;
using Foodolini.BusinessLogic;
using Foodolini.Activities;

namespace Foodolini.Activities.Person
{
	
	/// <summary>
	/// Adapts an exercise to the tree node interface in Person
	/// </summary>
	[TreeNode (ListOnly = true)]
	public class ExerciseAdapter: TreeNode
	{
		
		public Exercise Exercise{get; private set;}
		
		public ExerciseAdapter(Exercise exercise)
		{
			this.Exercise = exercise;
		}
		
		[Gtk.TreeNodeValue (Column=0)]
		public string Activity{
			get{
				if(this.Exercise.Activity == null)
					return string.Empty;
				return this.Exercise.Activity.Name;
			}
		}
		
		[Gtk.TreeNodeValue (Column=1)]
		public TimeSpan Duration{
			get{
				return this.Exercise.Duration;
			}
		}
		
		[Gtk.TreeNodeValue (Column=2)]
		public DateTime PerformedDate{
			get{
				return this.Exercise.PerformedDate;
			}
		}
	
		
	}
}
