using System;
using Gtk;
using Foodolini.BusinessLogic;

namespace Foodolini.Activities.Administration
{
	/// <summary>
	/// Person adapter for Foodolini.Activity.Person
	/// Adapts a person to the TreeNode interface
	/// </summary>
	[TreeNode (ListOnly = true)]
	public class PersonAdapter : TreeNode
	{
		public Person Person{get; private set;}
		
		public PersonAdapter(Person person)
		{
			this.Person = person;
		}
		
		[Gtk.TreeNodeValue (Column=0)]
		public string Name{
			get{
				return this.Person.FullName;
			}
		}
		
		[Gtk.TreeNodeValue (Column=1)]
		public string UserName{
			get{
				return this.Person.UserName;
				
			}
		}
			
		[Gtk.TreeNodeValue (Column=2)]
		public double Height{
				get{
					return this.Person.Height;
					
				}
			}
			
		[Gtk.TreeNodeValue (Column=4)]
		public double Weight{
			get{
				return this.Person.Weight;
			}
		}
		
	}
}