using System;
using Gtk;
using Foodolini.Activities;
using Foodolini.BusinessLogic;

namespace Foodolini.Activities.RegisterExercise
{
	[System.ComponentModel.ToolboxItem(true)]
	public partial class ExerciseEditor : Gtk.Bin, IActivity
	{
		private IOwner owner;
		private Exercise chosenExercise;
		
		public ExerciseEditor()
		{
			this.Build();
		}
		
		public void SetDetails(Exercise chosenExercise) {
			spbtHours.Value = (double)chosenExercise.Duration.Hours;
			spbtMinutes.Value = (double)chosenExercise.Duration.Minutes;
			calDatePerformed.Date = chosenExercise.PerformedDate;
			choosesportsactivity1.SportsActivity = chosenExercise.Activity;
			
		}
		
		public void Register(IOwner owner){
			this.owner = owner;
		}
		
		public void Unregister(){
			
			this.owner = null;
		}
		
		public Widget Widget{
			get{
				return this;
			}
		}
	}
}
