using System;
using System.Collections.Generic;
using System.Text;

namespace Foodolini.BusinessLogic
{
    /// <summary>
    /// Represents a type of bar code.
    /// </summary>
	public enum BarCodeType
	{
        /// <summary>
        /// European Article Number 8
        /// </summary>
		EAN8,
        /// <summary>
        /// Universal Product Code, Zero-compressed
        /// </summary>
		UPCE,
        /// <summary>
        /// International Standard Book Number
        /// </summary>
		ISBN10,
        /// <summary>
        /// Ten-digit Universal Product Code
        /// </summary>
		UPCA,
        /// <summary>
        /// European Article Number 13
        /// </summary>
		EAN13,
        /// <summary>
        /// 13-digit International Standard Book Number
        /// </summary>
		ISBN13,
        /// <summary>
        /// USS Code 39
        /// </summary>
		CODE39,
        /// <summary>
        /// Portable Data File
        /// </summary>
		PDF417,
        /// <summary>
        /// Code 128
        /// </summary>
		CODE128,
        /// <summary>
        /// Interleaved 2 of 5 (I2/5)
        /// </summary>
		I25
	}
}
