using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;


namespace Foodolini.Database
{
    /// <summary>
    /// A bar code associated with a specific FoodDescription.
    /// </summary>
    public class BarCodeRow
    {
        /// <summary>
        /// Primary key
        /// </summary>
        public long BarCodeRowId { get; set; }
		
		/// <summary>
		/// The unique bar code identifier 
		/// </summary>
		public string Identifier { get; set; }

        /// <summary>
        /// Associated FoodDescription PK.
        /// </summary>
        public long FoodDescriptionId { get; set; }

        /// <summary>
        /// Type of bar code.
        /// </summary>
        public int Type { get; set; }

        /// <summary>
        /// Name of the product containing the bar code.
        /// </summary>
        public string ProductName { get; set; }

        /// <summary>
        /// Quantity of a certain FoodDescription for the bar code.
        /// </summary>
        public double? Quantity { get; set; }
    }
}
