using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Foodolini.Database
{
    /// <summary>
    /// Represents a user
    /// </summary>
    public class User
    {
        /// <summary>
        /// Primary key.
        /// </summary>
        public long UserId { get; set; }

        /// <summary>
        /// User name, a short hand identification of a person.
        /// </summary>
        public string UserName { get; set; }

        /// <summary>
        /// The real name of the user.
        /// </summary>
        public string FullName { get; set; }

        /// <summary>
        /// Date of birth.
        /// </summary>
        public DateTime BirthDate { get; set; }

        /// <summary>
        /// Gender of the user. 0 = Male, 1 = Female.
        /// </summary>
        public int Gender { get; set; }

        /// <summary>
        /// The weight of a user in kilograms.
        /// </summary>
        public double Weight { get; set; }

        /// <summary>
        /// The height of a user in centimetres.
        /// </summary>
        public double Height { get; set; }

        /// <summary>
        /// The currently assocaited diet of the user.
        /// </summary>
        public long? DietId { get; set; }

        /// <summary>
        /// How active the person is.
        /// </summary>
        public double ActivityFactor { get; set; }
    }
}
