
using System;
using NUnit.Framework;
using Foodolini.Database; 

namespace Foodolini.Database.Test
{
	
	/// <summary>
	/// Unit test to the Database layer of NutritionDefinition
	/// </summary>
	[TestFixture]
	public class NutritionDefinitionTest : DatabaseTest 
	{
		NutritionDefinition nutri;
	    NutritionDefinition nutri2;
		/// <summary>
		/// creates test data.
		/// </summary>
		public void setuptest()
		{
			nutri = new NutritionDefinition();
			nutri.Description = "lala";
			nutri.TagName = "myname";
			nutri.Unit = "kg";
			
			nutri2 = new NutritionDefinition();
			nutri2.Description = "lala2";
			nutri2.TagName = "myname2";
			nutri2.Unit = "kg2";
		}
		/// <summary>
		/// Saves a NutritionDefinition to the database and test if the object recives an ID. 
		///	Load the NutritionDefinition from the database and test if the data match
		/// </summary>
		[Test]
		public void SaveLoadTest()
		{
			setuptest();
			
			this.repository.Add<NutritionDefinition>(nutri) ; 
			
			Assert.AreNotEqual(0,nutri.NutritionDefinitionId );
			
			this.repository.Add<NutritionDefinition>(nutri2) ; 
			Assert.AreNotEqual(0,nutri2.NutritionDefinitionId );  
				
			foreach (NutritionDefinition row in this.repository.All<NutritionDefinition>()){
				if (row.Description == "lala2"){
				Assert.AreEqual ("myname2",row.TagName);
				}else{
				Assert.AreEqual ("myname",row.TagName);
				}
			}
		}
	}
}
