
using System;
using NUnit.Framework;
using Foodolini.BusinessLogic;
//using Foodolini.Test;

namespace Foodolini.BusinessLogic.Test
{
	
	
	[TestFixture]
	public class SportsActivityTest : LogicTest
	{
		/// <summary>
		/// Test of create a SportsActivity
		/// </summary>
		[Test]
		public void CreateSportsActivityTest()
		{
			SportsActivity football = new SportsActivity("Football", 10.0);
			football.Save();
			SportsActivity running = new SportsActivity("Running", 5.0);
			running.Save();
			SportsActivity swimming = new SportsActivity("Swimming", 6.0);
			swimming.Save();
		}
		
		/// <summary>
		/// Test of create and load of SportsActivity
		/// </summary>
		[Test]
		public void LoadSportsActivityTest() {
			CreateSportsActivityTest();
			foreach (var s in SportsActivity.ListActivities()) {
				if(s.Name == "Football") {
					Assert.AreEqual(s.METS, 10.0, "Football's METs are wrong");
				}
			}
		}
		
		[Test]
		public void DeleteSportsActivityTest(){
			CreateSportsActivityTest();
			SportsActivity sport = null;	
			foreach (SportsActivity s in SportsActivity.ListActivities()){
				if (s.Name == "Football"){
					sport = s; //sport is Football, if Football is in the list
				}
			}
			sport.Delete(); //Deletes Football
			
			foreach (var s in SportsActivity.ListActivities()) {
				if (s.Name == "Football"){
					Assert.Fail("Football was not deleted");
				}
				if(s.Name == "Running") {
					Assert.AreEqual(s.Name, "Running", "Running's name incorrect");	
				}
				if (s.Name == "Swimming") {
					Assert.AreEqual(s.METS, 6.0, "Swimming's METs wrong");
				}
			}
			
		}
		                                      
		                                 
	}
}
