﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.SQLite;
using System.Data;
using System.Data.Common;
using System.Configuration;

namespace Foodolini.Tools
{
    /// <summary>
    /// Handles basic database interaction with SQLite.
    /// </summary>
    public class SQLiteDB : Database<SQLiteConnection>
    {
        public SQLiteDB(string connString)
        {
            connection = new SQLiteConnection(connString);
        }

        protected override DbCommand GetCommand(string sql)
        {
            return new SQLiteCommand(sql, connection);
        }

        public override SQLiteConnection GetConnection()
        {
            return new SQLiteConnection(this.connection.ConnectionString);
        }
    }
}
