
using System;
using System.IO;
using System.Collections.Generic;
using Foodolini.BusinessLogic;

namespace Foodolini.Tools
{
	
	
	public class MealMasterFormat : RecipeImporter
	{
		
		public override Recipe ReadData (System.IO.FileStream fs)
		{
			string filename = Path.GetFileName(fs.Name);
			StreamReader sourceFile = null;
			try{
				sourceFile = new StreamReader(filename, System.Text.Encoding.GetEncoding("ISO-8859-1"));
			}
			catch(FileNotFoundException ex){
			//	OnRaiseImportEvent(new RecipeImporterEventArgs(filename + ": syntax error, line " + ex.LineNumber, RecipeImporterEventArgs.EventCode.DataSourceError));
			}
			finally{
				fs.Close();
			}
			
			List<Recipe> recipes = new List<Recipe>();
			
			int recipeCount = 0;
			string line;
			bool inRecipe = false;
			//Dictionary<Ingredient, Amount> ingredients = new Dictionary<Ingredient, Amount>();
			List<string> steps = new List<string>();

			//Start grabbing recipes
			while(sourceFile.Peek() != -1){
				line = sourceFile.ReadLine();
				if(line.IndexOf("-----") == 0 & !inRecipe){
					//Recipe begins
					inRecipe = true;
					recipeCount += 1;
					//ingredients.Clear();
					steps.Clear();
				}
				else if(line.Equals("-----") & inRecipe){
					//Recipe ends
					//recipes[recipeCount-1].Ingredients = ingredients;
					recipes[recipeCount-1].Directions = steps;
					inRecipe = false;
				}
				else if(inRecipe){
					//Grab recipe stuff
					if(line.IndexOf("Title:") == 6)
						//Grab recipe title
						recipes.Add(new Recipe(line.Substring(13)));
					else if(line.IndexOf("Categories:") == 1){
						//Grab recipe categories
						string[] s = line.Substring(13).Replace(" ", "").Split(new char[] {','});
						List<string> listOfCategories = new List<string>();
						for(int i = 0; i < s.Length; i++)
							listOfCategories.Add(s[i]);
						recipes[recipeCount-1].Categories = listOfCategories;
					}
					else if(line.IndexOf("Yield:") == 6){
						//Seperate servings count from string
						string[] s = SortYieldArray(line);
						//If the servings is a range, then take the average
						if(s.Length == 2)
							s[0] = ((Double.Parse(s[0]) + Double.Parse(s[1])) / 2).ToString();
						
						recipes[recipeCount-1].Servings = Double.Parse(s[0]);
					}
					else{
						bool isIngredient = false;
						int j = 0;
						//Try to figure out if the line is an ingredient or step
						foreach (char c in line){
							if(Char.IsDigit(c) & j > 1 & j > 7){
								//Possible ingredient
								isIngredient = true;
								break;
							}
							if(j > 7)
								break;
							j++;
						}
						
						if(isIngredient){
							//Line is an ingredient
							
							//Split the string into it's components
							string ing = line.Substring(12, 27);
							
							//Amount amount = new Amount();
							//amount.Quantity = ParseQuantity(s.Substring(1, 6).Split(new char[] {' '}));
							//amount.Unit = s.Substring(9, 2);
							
							//ingredients.Add(new Ingredient(ing), amount);	
						}
						else{
							//Line is a step
							string step = line;
							while(line.Length > 1)
								line = sourceFile.ReadLine();
							steps.Add(step);
						}
					}
				}
			}
			Console.WriteLine("Done, " + recipeCount + " recipes counted");
			Recipe recipe = new Recipe("HEJSA");
			return recipe;
		}
		
		
		/// <summary>
		/// Sorts the string containing the yield, and the useful values (the amount)
		/// </summary>
		private string[] SortYieldArray(string s){
			//Split the string into chunks
			string[] tempArray = s.Split(new char[] {' '}, StringSplitOptions.RemoveEmptyEntries);
			List<string> tempList = new List<string>();
			//Sort none useful chunks away, by attempting to convert them to double
			for(int i = 0; i < tempArray.Length; i++){
			 try{
					if(tempArray[i].IndexOf("/") != -1)
						Console.WriteLine("YOO! WTF MAN!?");
					double t = Double.Parse(tempArray[i]);
					tempList.Add(tempArray[i]);
				}
			 catch{
					continue;
				}
			}
			
			//Store the proper yield in a string array
			string[] values = new string[tempList.Count];
			tempList.CopyTo(values);
			
			//Return the string array
			return values;
		}
	}
}
